<?php
// +----------------------------------------------------------------------
// | 长链接转短链接
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace wx\sdk;

use wx\Weixins;
use think\facade\Request;

class short_url extends Weixins{
    
    /**
     * 启动入口
     * @todo 无
     * @author 小黄牛
     * @version v1.0.8 + 2020.04.10
     * @deprecated 暂不弃用
     * @global 无
     * @param string $long_url 长链接转短链接
     * @return void
    */
	public static function run($long_url){
        self::get_config();
        $actoken = \wx\sdk\access_token::get();

        $url   = self::str_url(self::$config['short_url'], [$actoken]);
        $json  = self::https_curl($url, json_encode([
            'action' => 'long2short',
            'long_url' => $long_url,
        ]));
        $res   = json_decode($json, true);

        if ($res['errcode'] != 0) {
            \log\Log::init()->insert('请求错误：'.$json, 'error');
            return false;
        } else {
            \log\Log::init()->insert('请求成功：'.$json);
        }

        return $res['short_url'];
    }

}