<?php
// +----------------------------------------------------------------------
// | 新增
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Crontab;

use app\common\controller\_Admin;

class insert extends _Admin
{

    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[], $_this) {
        if (\think\facade\Request::isAjax()) {
            return $this->insert($param);
        }

        return $this->fetch();
    }
    
    // 新增管理员
    private function insert($param=[]) {
        $vif = $this->_where($param);
        if ($vif !== true) return $vif;

        $param['create_time'] = time();
        $res = \think\Db::name('crontab')->insert($param);
        if ($res != false) {
            return $this->_json('00', '新增成功！');
        }

        return $this->_json('01', '新增失败！');
    }

    // 新增条件过滤
    private function _where($param=[]) {
        if (!self::isset_empty($param, 'title')) return $this->_json('01', '请输入任务名称');

        return true;
    }

}
