<?php
// +----------------------------------------------------------------------
// | 清空BOM头
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Index;

use app\common\controller\_Admin;

class bomhead extends _Admin
{

    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[], $_this) {
        $type = $param['type'];
        $obj  = new \org\Bom();

        # 只检测
        if ($type == 1) {
            $res = $obj->run(false);
            if ($res != '') {
                return $this->_json('00', '检测成功，存在BOM头文件', $res);
            }
            return $this->_json('00', '检测成功，暂无存在BOM头文件');
        # 清除
        } else if ($type == 2) {
            $res = $obj->run(true);
            return $this->_json('00', 'BOM头文件清除成功');
        }
        return $this->_json('01', '暂不处理该类请求！');
    }
    
}
