<?php
// +----------------------------------------------------------------------
// | 监听客户端消息发送请求
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\socket\controller\event;

class onMessage {
    /**
	 * WS的启动实例
	*/
    public $_ws;
    
    // 构造函数
    public function __construct($ws) {
        $this->_ws = $ws;
    }

    /**
     * 统一入口
     * @todo 无
     * @author 小黄牛
     * @version v1.0.9 + 2020.04.16
     * @deprecated 暂不启用
     * @global 无
     * @return void
    */
    public function run($ws, $frame) {
        $data = \app\socket\controller\vendor\Tool::get_data($frame->data, $ws->config);
        # 参数解析失败，回调错误接口
        if (empty($data['action'])) {
            \app\socket\controller\callback\error::run($this->_ws, $frame->fd, '暂无该接口-1');
            return false;
        }
        # 查询接口是否存在
        $class = '\app\socket\controller\action\\'.$data['action'];
        if (!class_exists($class)) {
            \app\socket\controller\callback\error::run($this->_ws, $frame->fd, '暂无该接口-2');
        }
        # 指向该接口
        $class::run($this->_ws, $frame, $data['data']);
    }
    
}
