<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006~2018 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------

// +----------------------------------------------------------------------
// | 架构设置
// +----------------------------------------------------------------------

return [
    // 日志调试模式
    'log_debug'      => true,
    // WebSocket 地址，0.0.0.0表示允许接收所有请求
    'websocket_host' => '0.0.0.0',
    // WebSocket 端口
    'websocket_port' => '9502',
    // WebSocket 最大工作进程数
    'websocket_max_process' => 4,
    // WebSocket 最大服务端心跳重连次数
    'websocket_max_heartbeat'  => 3,
    // WebSocket 心跳重连间隔时间(S)
    'websocket_outime_heartbeat' => 60,
    // WebSocket 最大用户在线数
    'websocket_max_online' => 5000,
    // WebSocket AES 加密类型
    'websocket_aes_type' => 'AES-128-ECB',
    // WebSocket AES 加密KEY
    'websocket_aes_key' => '',
    // WebSocket AES 加密向量
    'websocket_aes_iv' => '',
    // WebScoket Redis host
    'websocket_redis_host' => '127.0.0.1',
    // WebScoket Redis 端口 
    'websocket_redis_port' => '64000',
    // WebScoket Redis 密码 
    'websocket_redis_pwd' => 'redis',
    // WebScoket Redis 库前缀 
    'websocket_redis_table' => 'driver_',
    // WebScoket 外部接口调用时的密钥
    'websocket_api_key' => '123456',
    // WebSocket 外部接口跨域设置
    'websocket_api_origin' => '*',
    // WebSocket 外部接口数据请求类型
    'websocket_api_type' => '',
    // WebSocket 外部接口跨域允许请求的类型
    'websocket_api_methods' => 'POST,GET,OPTIONS,DELETE',
    // WebSocket 外部接口是否允许发送 cookies
    'websocket_api_credentials' => 'true',
    // WebSocket 外部接口允许自定义请求头的字段
    'websocket_api_headers' => 'Content-Type,Content-Length,Accept-Encoding,X-Requested-with, Origin, api_key',
    // WebSocket 进程名称
    'websocket_api_process_name' => 'swoole_server_master',
    // WebSocket SSL证书 CRT
    'websocket_crt_path' => '',
    // WebSocket SSL证书 KEY
    'websocket_key_path' => '',
];
